#include <QHostAddress>
#include "xinemacontrolitem.h"

XinemaControlItem::XinemaControlItem()
{
	QObject::connect(&control, &XinemaControl::connected, this, &XinemaControlItem::connect_state_changed);
	QObject::connect(&control, &XinemaControl::disconnected, this, &XinemaControlItem::connect_state_changed);
}

void XinemaControlItem::connect(const QString &host)
{
	control.connect(QHostAddress(host));
}

bool XinemaControlItem::is_connected() const
{
	return control.is_connected();
}

void XinemaControlItem::play_file(const QString &fn)
{
	control.play_file(fn);
}
